This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 877794 - pcmanfm can't open files with hash (#) in their filename
pcmanfm can't open files with hash (#) in their filename
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcmanfm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-18 15:47 EST by Dm3 K
Modified: 2012-11-28 03:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 03:13:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dm3 K 2012-11-18 15:47:27 EST
Description of problem:
pcmanfm won't open files with a hash (#) in their name. For example, a filename in my ~/ named 'file#name.mp4' is parsed as '~/file" and thus fail to open. Using the terminal to open the file works. For example gnome-mplayer will return "Failed to open /home/user/file."

Version-Release number of selected component (if applicable):
Name        : pcmanfm
Arch        : i686
Version     : 1.0.1
Release     : 1.fc17

Name        : libfm
Arch        : i686
Version     : 1.0.1
Release     : 1.fc17

Name        : xdg-utils
Arch        : noarch
Version     : 1.1.0
Release     : 0.14.20120809git.fc17


How reproducible:


Steps to Reproduce:
1. open pcmanfm
2. rename a file to include a #
3. try to open it by double clicking
  
Actual results:
The file won't open and most apps will report that they tried to open file so-and-so, which is parsed until before the hash.

Expected results:
file to open as if it was called from cli

Additional info:
I do think this used to work before the last update.
Comment 1 Mamoru TASAKA 2012-11-18 19:48:34 EST
Please try 1.1.0 currently in testing (and will be pushed into stable soon)
Comment 2 Dm3 K 2012-11-18 21:12:05 EST
Yes, that fixes it for me. Should I mark this as CLOSED?
Comment 3 Mamoru TASAKA 2012-11-19 08:54:32 EST
Thank you for testing. I will close this bug once 1.1.0 is pushed into stable. Thank you for reporting anyway.
Comment 4 Mamoru TASAKA 2012-11-28 03:13:48 EST
Closing. Thank you for reporting anyway.

Note You need to log in before you can comment on or make changes to this bug.